Subject: Re: bug#22065: core dumped during compilation (emacs-25 branch on FreeBSD 9)

From: Paul Eggert <[email-masked]>
Date: Tue, 16 Feb 2016 23:56:13 -0800

Joseph Mingrone wrote:
> Paul, when you confirmed the core dump, did you test by using the FreeBSD port system?

I don't recall asking for the port system. I just built on a freshly installed 
FreeBSD-9.3-RELEASE-i386-dvd1.iso running under VirtualBox, mostly by choosing 
defaults. I vaguely recall something about port.txz being installed by default 
but I didn't pay much attention. Sorry, I don't know much about the FreeBSD port 
system.

I just now did a similar build with FreeBSD-9.3-RELEASE-amd64-dvd1.iso and the 
latest emacs-25 commit (15a946479c96fdce693c13acfe41a66266ffcadb) and it also 
worked.

Neither build used X, though. I guess X isn't part of the base release. What's 
an easy way to install the X development packages on a bare FreeBSD 9 install?